# permissions for end users to view rke2configtemplates.
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: rke2configtemplate-viewer-role
rules:
- apiGroups:
  - bootstrap.cluster.x-k8s.io
  resources:
  - rke2configtemplates
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - bootstrap.cluster.x-k8s.io
  resources:
  - rke2configtemplates/status
  verbs:
  - get
